package com.biganto.visual.roompark.di.koin

import com.biganto.visual.roompark.base.RoomParkApplication
import com.biganto.visual.roompark.base.RoomParkMainActivity
import com.biganto.visual.roompark.domain.contract.AuthContract
import com.biganto.visual.roompark.domain.model.AuthInfoModel
import com.biganto.visual.roompark.view_utils.snackbar.SnackBarProvider
import io.reactivex.rxjava3.core.Completable
import io.reactivex.rxjava3.core.Observable
import org.koin.android.ext.koin.androidContext
import org.koin.android.ext.koin.androidLogger
import org.koin.core.context.startKoin
import org.koin.core.qualifier.named
import org.koin.dsl.module

/**
 * Created by Vladislav Bogdashkin on 03.09.2019.
 */


fun RoomParkApplication.initDI(){
    startKoin {
        androidLogger()
        androidContext(this@initDI)
        modules(listOf(
            appModule
            ,scopesModule
        ))
    }
}

val appModule = module{

}

val dataModule = module {

    single<AuthContract>{ object :AuthContract{
        override fun signIn(email: String, password: String): Observable<AuthInfoModel> {
            TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
        }

        override fun signOut(): Completable {
            TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
        }
    }}
}

val scopesModule = module {
    scope(named<RoomParkMainActivity>()){
        scoped { SnackBarProvider(get()) }
    }
}


val presenterScope = module {
    scope(named<RoomParkMainActivity>()){ //<- Presenter?
        scoped { StartUpData("ja pesik!") }
    }
}


data class StartUpData(val helloText:String)
