package com.biganto.visual.roompark.domain.model

/**
 * Created by Vladislav Bogdashkin on 23.09.2019.
 */

data class DealListModel(val deals:List<DealListModel>)

data class DealModel(
    val id:Int,
    val estate_id:Int,
    val opportunitySum:Float,
    val paymentSum:Float,
    val amount_pay_sum:Float,
    val statusId:Int,
    val managerName: String,
    val estate:EstateModel
)


data class EstateModel(
    val type:String,
    val number:String,
    val building:Int,
    val sectionBegin:Int?=null,
    val sectionEnd:Int?=null,
    val floor:Int,
    val area:Float,
    val planPNG:PlanModel,
    val planJPG:PlanModel,
    val dependent:Boolean?=null,
    val rooms:Int?=null,
    val albumId:Int?=null,
    val multitourId:Int?=null
)

data class PlanModel(
    val url:String,
    val width:Int,
    val height:Int
)

data class ExplicationItemModel(
    val id:Int,
    val estateId:Int,
    val title:String,
    val value: Float,
    val livingType:String
)

data class ExplicationModel(
    val items:List<ExplicationItemModel>
)

data class CommonEstateInfoModel(
    val corpus:Int,
    val section:Int,
    val floor:Int,
    val totalFloors:Int,
    val totalArea:Float,
    val livingArea:Float,
    val rooms:Int,
    val flatType:String,
    val furnishType:String,
    val ceilingHieght:Float,
    val windowViewTGype:String,
    val sideOfTheWorld:String,
    val costPerM2:Float,
    val totalSum:Float
)

